eLibPro Help

Thank you for choosing eLibPro!

We hope you will enjoy using eLibPro and will benefit from it as intended.

We certainly hope that eLibPro will be the book management software you'll come to love and prefer to use. Go ahead and explore it freely to see what makes eLibPro special.

We always listen and take into account all viable suggestions and feedback. If you think of a useful feature or improvement you would like implemented and would benefit other eLibPro users, then please let us know.

Commands

File menu

Edit menu

View menu

Tools menu

Help menu

Copyright © 2003-2004 Songs Technologies. All rights reserved.


Introduction

Having so many books (many of them being ebooks), wouldn't it be nice to have a software application to manage all of them? eLibPro is such a software utility to manage your personal book collection (both print books and ebooks). Book information can be downloaded from the Internet; what you need to do is just enter one or more ISBNs, or simply use your barcode scanner.

The book information is stored in a database. You can work with an unlimited number of databases, which means you can split your collection into different catalogs.

There is a sample data file (sample.mdb) in the package. You can use eLibPro to open it and familiarize yourself with the software.

Current version is 1.0 RC1. Comments and suggestions are always welcomed!


eLibPro Features

Features

  • Use tree structure to manage book categories. It has a familiar Windows Explorer-like user interface
  • Unlimited "Related Links" can be added for each book. The "Links" can be URLs, eBook files on local hard disk, or even folders
  • Use XML/XSL to display book details. Its content template and diaplay style are completely configurable by the user
  • Most of the book's information can be retrieved from the web. It can query online (Amazon.com) by ISBN, or by a combination of book title, author and/or publisher
  • Multiple selection (using Ctrl, Shift or Mouse) is supported in the book list window, and the book detail window can update on the fly
  • Sort on any column in the book list window
  • WYSIWYG editor for books' "Description" and "Notes" fields
  • Drag & Drop support
  • Search in the book collection
  • "Favorites" and "Reading List" support
  • Multi-language User Interface (MUI) support
  • Native Unicode support
  • Barcode scanners are supported.


System Requirements

  • Operating System: Windows NT, 2000 or XP
  • Internet Explorer: 5.0 or higher

eLibPro is a Unicode application, which means it may not work properly on Windows 95/98/Me. Contact us if you wish to run it on Windows 95/98/Me.


File menu commands

The File menu offers the following commands:

New | Create a new database.
Open | Open an existing database.
Save As HTML | Save book information as HTML.
Save As XML | Save book information as XML.
Page Setup | Change printing settings (headers and footers etc.).
Print Preview | Preview how the book information will print.
Print | Print book information.
Exit | Exit eLibPro.


Edit menu commands

The Edit menu offers the following commands:

Cut | Deletes data from the document and moves it to the clipboard.
Copy | Copies data from the document to the clipboard.
Paste | Pastes data from the clipboard into the document.
Select All | Select everything in the current window.
Add Sub Category | Add a sub category in the current category.
Remove Category | Delete the current category.
Edit Category | Edit the current category.
Add Book | Add a new book in the current category.
Remove Book | Delete the selected book(s).
Edit Book | Edit the selected book.
Send To Favorites | Add selected book(s) to Favorites.
Send To Reading List | Add selected book(s) to Reading List.
Send To Search Results | Add selected book(s) to Search Results.
Basic Search | Search in the book collection.


View menu commands

The View menu offers the following commands:

Toolbar | Shows or hides the toolbar.
Status Bar | Shows or hides the status bar.
Refresh | Refresh current display in the book details window.


Tools menu commands

The Tools menu offers the following commands:

Run SQL | Submit SQL statement to the database (Advanced users only).
Options | Change preferences.


Help menu commands

The Help menu offers the following commands, which provide you assistance with this application:

Help Topics | Offers you an index to topics on which you can get help.
About | Displays the version number of this application.
eLibPro Website | Visit our website, where you can find updates and other free apps.
Support Forum | Visit our forum and submit bug reports, suggestions etc.


Status Bar

The status bar is displayed at the bottom of the eLibPro window. To display or hide the status bar, use the Status Bar command in the View menu.

The left area of the status bar describes actions of menu items as you use the arrow keys to navigate through menus. This area similarly shows messages that describe the actions of toolbar buttons as you press them, before releasing them. If after viewing the description of the toolbar button command you wish not to execute the command, then release the mouse button while the pointer is off the toolbar button.

The right areas of the status bar indicate which of the following keys are latched down:

Indicator Description

CAP The Caps Lock key is latched down.

NUM The Num Lock key is latched down.

SCRL The Scroll Lock key is latched down.


Toolbar

The toolbar is displayed across the top of the application window, below the menu bar. The toolbar provides quick mouse access to many tools used in eLibPro,

To hide or display the toolbar, click Toolbar from the View menu.


eLibPro Database Schema


Contact Us

E-mail: support@songstech.com

Homepage: http://songstech.com

Copyright © 2003-2004 Songs Technologies. All rights reserved.


Frequently Asked Questions

1. How do I exchange book information with my friends?
Export your book information as XML, send the file to your friend and ask him or her to import it. That's it!

2. What barcode scanners do you support or recommend?
The software should work with any barcode scanners that can scan ISBN barcodes (EAN). For me, I use a cue cat barcode scanner, which is very affordable and good for lightweight use. Do a search on ebay and you will find many of them.

3. I love eLibrary, is there anything I can do to help the project?
This project is getting bigger. If you think you can help me in any way, please don't hesitate to contact me (email: support at songstech.com). For example, the SongsTech.com homepage is really ugly and needs an overhaul. (I'll be honest with you, I'm not a good web designer ;-)

4. Is it possible to add local path for each book, so that i can double click on this local link and open the ebook from within the eLibrary program?
Sure. Just add some "Related Links" to your book. see http://forum.songstech.com/viewthread.php?tid=38

5. It's kind of slow when I add a new book by querying online. Why?
The speed depends on your Internet connection. eLibrary collects various information from Amazon websites, approximately 200 KB per book (including book cover). So if you got a dial-up, it could take a while to download the information.

6. Is the .Net Framework required for eLibrary to run properly?
No. eLibrary does not depend on the .NET framework, nor does it depend on any other third-party software, such as Microsoft Access.

7. How do I customize the content and style of the book details window?
Take a look at the "Styles" directory. The XSL files control the "content template", and the CSS files control the "display style". They are all text files and can be opened using any text editors (such as Notepad). See http://forum.songstech.com/viewthread.php?tid=92 for more details.

8. Does eLibrary support proxy?
As long as you've set up proxy info in Internet Explorer options and you can use IE to surf the Internet, eLibrary shouldn't complain.

9. How do I use the embedded HTML editor to highlight some text in Book Description and Notes?
Very easy. In the WYSIWYG editor, just select some text and set its background color to Yellow (or whatever color you like).

10. Sometimes I wanna put one book in two or more categories. For example, I have a book on network security and I wanna put it in both the "Network" category and the "Information Security" category. How do I do that?
There are two ways: using clipboard operations (cut, copy and paste) or Drag and Drop. You can select one or more books, then copy and paste them to another category. Or you can hold the Ctrl key and drag them to another category. (If you don't hold the Ctrl key, it will be a Move operation.)

Visit our support forum for updated information.


Support Forum

You are encouraged to submit comments, suggestions and bug reports etc. in our support forum.

Before you contact us, check out the help file first!

When reporting problems, the more information you can provide the better our response can be. If possible, include the following:

  • What version of eLibPro are you running? You can determine this by choosing About from the eLibPro Help menu.
  • What version of Microsoft Windows are you running? For example, Windows 98, Windows 2000 or Windows XP.
  • Is the problem reproducible? If so, how?
  • If you see a dialog box with an error message when the problem occurs, please include the complete error message.

Visit our support forum now

Copyright © 2003-2004 Songs Technologies. All rights reserved.


Bookinfo

Bookinfo is a tool which can retrieve information of books from Amazon.com. It can query by:

  • A combination of book title, author and publisher
  • ISBN (single or multiple)
  • File name, if it reflects the book title

It can then save the info and book cover, or generate forum post if you desire.


HTML Linker

HTML Linker is an easy to use utility that can add navigation links or buttons (such as "Previous" and "Next") to a group of html files. See screenshot or download a copy to see how it works.

Why this tool?

I often encounter a situation like this:
There are a lot of html files without links to each other and as such it's very hard to browse through these isolated files. Although I can build up an index file for these files, it is still not convenient for me to go through the pages. So I want to add navigation links (with [previous] and [next] buttons) to them so that I can browse them more easily. HTML Linker is a tool for this purpose.


HTML Tag Remover

HTML Tag Remover is a small utility that can remove specified HTML tags in an html file.


Credits

Design and Implementation:

S. Song

User Interface Translation:

Traditional Chinese: Myron

Italian: orikfa

Also, Thanks X. Cai for CSS design and other assistance!


(Choose Color Dialog)

Choose Color dialog box

<< Write application-specific help here. >>


(File Open dialog box)

The following options allow you to specify which file to open:

File Name

Specifies the file you want to open. This box lists files with the extension you select in the List Files of Type field.

List Files of Type

Specifies the type of file you want to open:

<< List your application's file types here. >>

Drives

Specifies the drive in which eLibPro stores the file that you want to open.

Directories

Specifies the directory in which eLibPro stores the file that you want to open.

Network

Click this button to connect to a network location, assigning it a new drive letter.


(File Save As dialog box)

The following options allow you to specify the name and location of the file you're about to save:

File Name

Specifies a file name to save a document with a different name. eLibPro adds the extension you specify in the Save File As Type box.

Drives

Specifies the drive in which you want to store the document.

Directories

Specifies the directory in which you want to store the document.

Network

Click this button to connect to a network location, assigning it a new drive letter.

<< Add other File Save As dialog box options depending on which ones your application chooses through the OFN_ flags of the OPENFILENAME structure used by the CFileDialog. >>


(Find Dialog)

Find dialog box

<< Write application-specific help here. >>


(Choose Font Dialog)

Choose Font dialog box

<< Write application-specific help here. >>


Print dialog box

The following options allow you to specify how the document should be printed:

Printer

Displays the active printer and printer connection. Choose the Setup option to change the printer and printer connection.

Setup

Displays a Print Setup dialog box, so you can select a printer and printer connection.

Print Range

Specifies the pages you want to print:

All | Prints the entire document.
Selection | Prints the currently selected text.
Pages | Prints the range of pages you specify in the From and To fields.

Copies

Specifies the number of copies you want to print for the above page range.

Collate Copies

Prints copies in page number order, instead of separated multiple copies of each page.

Print Quality

Specifies the quality of the printing. Generally, lower quality printing takes less time to produce.


(Print Progress Dialog)

The Printing dialog box is shown during the time that eLibPro is sending output to the printer. The page number indicates the progress of the printing.

To abort printing, choose Cancel.


Print Setup dialog box

The following options allow you to select the destination printer and its connection.

Printer

Specifies the printer you want to use. Choose the default printer, or choose the Specific Printer option and select one of the current installed printers shown in the box. You install printers and configure ports using Control Panel.

Orientation

Specifies Portrait or Landscape.

Paper Size

Specifies the size of paper that the document is to be printed on.

Paper Source

Specifies the paper source, because some printers offer multiple trays for different paper sources.

Options

Displays a dialog box where you can make additional choices about printing, specific to the type of printer you have selected.

Network

Click this button to connect to a network location, assigning it a new drive letter.


(Replace Dialog)

Replace dialog box

<< Write application-specific help here. >>


(No Help Available)

No help is available for this message box.

<< If you want to author help specific to each message box prompt, then remove the AFX_HIDP_xxx values from the [ALIAS] section of your .hpj file, and author a topic for each AFX_HIDP_xxx value. For example, AFX_HIDP_INVALID_FILENAME is the help topic for the Invalid Filename message box. >>


(Docking Toolbar Area)

This area is provided to contain dockable toolbars, such as the default toolbar created for the application. Docking toolbars can be dragged onto or off this client area, and arrange themselves according to the space available.


Print Preview toolbar

The print preview toolbar offers you the following options:

Print

Opens the Print dialog box to start a print job.

Next Page

Previews the next printed page.

Prev Page

Previews the previous printed page.

One Page / Two Page

Previews one or two printed pages at a time.

Zoom In

Takes a closer look at the printed page.

Zoom Out

Takes a larger look at the printed page.

Close

Returns from print preview to the editing window.


About command (Help menu)

Use this command to display the copyright notice and version number of your copy of eLibPro.


Exit command (File menu)

Use this command to end your eLibPro session. You can also use the Close command on the application Control menu.


Basic Search command (Edit menu)

Search in the book collection.


(Help Using Help Command)

Context Help command

Use this command to obtain help on some portion of eLibPro. When you choose the toolbar's Context Help button, the mouse pointer will change to an arrow and question mark. Then click somewhere in the eLibPro window, such as another toolbar button. The help topic will be shown for the item you clicked.


Copy command (Edit menu)

Use this command to copy selected book category or item onto the clipboard. This command is unavailable if there is no item currently selected.

Copying data to the clipboard replaces the contents previously stored there.


Cut command (Edit menu)

Use this command to remove the currently selected book category or item and put it on the clipboard. This command is unavailable if there is no item currently selected.

Cutting data to the clipboard replaces the contents previously stored there.


(Edit Find Command)

Find command (Edit menu)

<< Write application-specific help here. >>


Paste command (Edit menu)

Use this command to insert a copy of the clipboard contents at the insertion point. This command is unavailable if the clipboard is empty.


Select All command (Edit menu)

Select everything in the current window.


(File Close command)

Close command (File menu)

Use this command to close all windows containing the active document. eLibPro suggests that you save changes to your document before you close it. If you close a document without saving, you lose all changes made since the last time y ou saved it. Before closing an untitled document, eLibPro displays the Save As dialog box and suggests that you name and save the document.


1, 2, 3, 4 command (File menu)

Use the numbers and filenames listed at the bottom of the File menu to open the last four eLibPro databases you closed. Choose the number that corresponds with the eLibPro database you want to open.


New Database command (File menu)

Use this command to create a new eLibPro database.

You can open an existing eLibPro database with the Open Database command.


Open Database command (File menu)

Use this command to open an existing eLibPro database. You can only open one database at once.

You can create new eLibPro databases with the New Database command.


Page Setup command (File menu)

Change printing settings (headers and footers etc.)


Print command (File menu)

Use this command to print a document. This command presents a Print dialog box, where you may specify the range of pages to be printed, the number of copies, the destination printer, and other printer setup options.


Print Preview command (File menu)

Use this command to display the book information as it would appear when printed. When you choose this command, a print preview window will be displayed. The print preview toolbar offers you options to view either one or two pages at a time; move back and forth through the document; zoom in and out of pages; and initiate a print job.


(File Print Setup command)

Print Setup command (File menu)

Use this command to select a printer and a printer connection. This command presents a Print Setup dialog box, where you specify the printer and its connection.


(Send command (File menu))

Use this command to send the active document through e-mail. This command presents a mail window with the active document attached to it. You may then fill out the To field, Subject field, and so on, and add text to the body of the message. When you are finished, you can click the Send button to send the message.


Support Forum command (Help menu)

Visit our forum and submit bug reports, suggestions etc.


Index command (Help menu)

Use this command to display the opening screen of help. From the opening screen, you can jump to step-by-step instructions for using eLibPro and various types of reference information.

Once you open help, you can click the Contents button whenever you want to return to the opening screen.


(Using Help command (Help menu))

Use this command for instructions about using help.


eLibPro Website command (Help menu)

Visit our website, where you can find updates and other free apps.


(Title Bar)

<< Show your application's title bar here. >>

The title bar is located along the top of a window. It contains the name of the application and document.

To move the window, drag the title bar. Note: You can also move dialog boxes by dragging their title bars.

A title bar may contain the following elements:

Application Control menu button

Document Control menu button

Maximize button

Minimize button

Name of the application

Name of the document

Restore button


(No Help Available)

No help is available for this area of the window.


Display Style command (View menu)

Change the display style of the book details window.


Refresh command (View menu)

Refresh current display in the book details window.


Save As HTML command (File menu)

Save book information as HTML.


Save As XML command (File menu)

Save book information as XML.


Content Template command (View menu)

Change the content template of the book details window.


Add Book command (Edit menu)

Add a new book in the current category.


Remove Book command (Edit menu)

Delete the selected book(s).


Edit Book command (Edit menu)

Edit the selected book.


(Close command (Control menus))

Use this command to close the active window or dialog box.

Double-clicking a Control menu box is the same as choosing the Close command.

Note: If you have multiple windows open for a single document, the Close command on the document Control menu closes only one window at a time. You can close all windows at once with the Close command on the File menu.


(Maximize command (System menu))

Use this command to enlarge the active window to fill the available space.


(System Minimize Command)

Minimize command (application Control menu)

Use this command to reduce the eLibPro window to an icon.


(Move command (Control menu))

Use this command to display a four-headed arrow so you can move the active window or dialog box with the arrow keys.

Note: This command is unavailable if you maximize the window.


(Restore command (Control menu))

Use this command to return the active window to its size and position before you chose the Maximize or Minimize command.


(Size command (System menu))

Use this command to display a four-headed arrow so you can size the active window with the arrow keys.

After the pointer changes to the four-headed arrow:

1.Press one of the direction keys (left, right, up, or down arrow key) to move the pointer to the border you want to move.

2.Press a direction key to move the border.

3.Press ENTER when the window is the size you want.

Note: This command is unavailable if you maximize the window.


(Switch to command (application Control menu))

Use this command to display a list of all open applications. Use this task List to switch to or close an application on the list.

Dialog Box Options

When you choose the Switch To command, you will be presented with a dialog box with the following options:

Task List

Specifies the application you want to switch to or close.

Switch To

Makes the selected application active.

End Task

Closes the selected application.

Cancel

Closes the Task List box.

Cascade

Arranges open applications so they overlap and you can see each title bar. This option does not affect applications reduced to icons.

Tile

Arranges open applications into windows that do not overlap. This option does not affect applications reduced to icons.

Arrange Icons

Arranges the icons of all minimized applications across the bottom of the screen.


Send To Favorites command (Edit menu)

Add selected book(s) to Favorites.


Send To Reading List command (Edit menu)

Add selected book(s) to Reading List.


Send To Search Results command (Edit menu)

Add selected book(s) to Search Results.


Options command (Tools menu)

You can change your preferences here.


Run SQL command (Tools menu)

The "Run SQL..." feature offers maximum flexibility in manipulating the book information in an eLibPro database. However, it requires you to be acquainted with SQL and a certain familiarity of eLibPro database schema.


Add Sub Category command (Edit menu)

Add a sub category in the current category.


Remove Category command (Edit menu)

Delete the current category.


Edit Category command (Edit menu)

Edit the current category.


Status Bar command (View menu)

Use this command to display and hide the status bar, which describes the action to be executed by the selected menu item or pressed toolbar button, and keyboard latch state. A checkmark appears next to the menu item when the status bar is displayed.

See Status Bar for help on using the status bar.


Toolbar command (View menu)

Use this command to display and hide the toolbar, which includes buttons for some of the most common commands in eLibPro, such as File Open. A checkmark appears next to the menu item when the toolbar is displayed.

See Toolbar for help on using the toolbar.


(Modifying the Document)

<< Write application-specific help here that provides an overview of how the user should modify a document using your application.

If your application supports multiple document types and you want to have a distinct help topic for each, then use the help context ID generated by running the MAKEHELP.BAT file produced by the application wizard. Alternately, run MAKEHM as follows:

makehm IDR_HIDR_,0x2000 resource.h

If the IDR_ symbol for one of your document types is, for example, IDR_CHARTTYPE, then the help context ID generated by MAKEHM will be HIDR_CHARTTYPE.

Note: The application wizard defines the HIDR_DOC1TYPE help context ID used by this help topic for the first document type supported by your application. The application wizard produces an alias in the .hpj file for your application, mapping HIDR_DOC1TYPE to the HIDR_ produced by MAKEHM for that document type. >>


(Scroll bars)

Displayed at the right and bottom edges of the document window. The scroll boxes inside the scrollbars indicate your vertical and horizontal location in the document. You can use the mouse to scroll to other parts of the document.

<< Describe the actions of the various parts of the scrollbar, according to how they behave in your application. >>